package seng302.DataInput;

;
import seng302.Model.Boat;
import seng302.Model.GPSCoordinate;
import seng302.Model.Leg;
import seng302.Model.Marker;

import java.util.List;

/**
 * Created by connortaylorbrown on 19/04/17.
 */
public interface RaceDataSource {
    List<Boat> getBoats();

    List<Leg> getLegs();

    List<GPSCoordinate> getBoundary();

    List<Marker> getMarkers();

    int getRaceId();

    String getRaceType();

    GPSCoordinate getMark();

    GPSCoordinate getMapTopLeft();

    GPSCoordinate getMapBottomRight();
}
